Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/05/2023 in all areas

  1. This program has now been updated as version 1.3 that allows for distance prompting.
    1 point
  2. Ok will add L U D R and may be dimming 2 of same pt for some reason will check.
    1 point
  3. Try this has the 4 directions set at 200 offset from closest point. Could do a enter offset etc. Pick points in sequence then enter. (defun c:dr200 ( / pt1 pt2 lst lst2 x j) (setq oldsnap (getvar 'osmode)) (setq lst '() lst2 '()) (while (setq pt1 (getpoint "\nPick dim point in sequence Enter to stop ")) (setq lst (cons pt1 lst)) (setq lst2 (cons (car pt1) lst2)) ) (setq X (car (vl-sort lst2 '>))) (setq pt3 (list (+ x 200.) (cadr (car lst)))) (setq x (length lst)) (setq j 0) (setvar 'osmode 0) (repeat (- x 1) (command "dim" "ver" (nth j lst) (nth (1+ j) lst) pt3 "" "exit") (setq j (1+ j)) ) (setvar 'osmode oldsnap) (princ) ) (defun c:dl200 ( / pt1 pt2 x lst lst2 j) (setq oldsnap (getvar 'osmode)) (setq lst '() lst2 '()) (while (setq pt1 (getpoint "\nPick dim point in sequence Enter to stop ")) (setq lst (cons pt1 lst)) (setq lst2 (cons (car pt1) lst2)) ) (setq X (car (vl-sort lst2 '<))) (setq pt3 (list (- x 200.) (cadr (car lst)))) (setq x (length lst)) (setq j 0) (setvar 'osmode 0) (repeat (- x 1) (command "dim" "ver" (nth j lst) (nth (1+ j) lst) pt3 "" "exit") (setq j (1+ j)) ) (setvar 'osmode oldsnap) (princ) ) (defun c:dt200 ( / pt1 pt2 lst lst2 y j) (setq oldsnap (getvar 'osmode)) (setq lst '() lst2 '()) (while (setq pt1 (getpoint "\nPick dim point in sequence Enter to stop ")) (setq lst (cons pt1 lst)) (setq lst2 (cons (cadr pt1) lst2)) ) (setq Y (car (vl-sort lst2 '>))) (setq pt3 (list (car (car lst)) (+ y 200.) )) (setq x (length lst)) (setq j 0) (setvar 'osmode 0) (repeat (- x 1) (command "dim" "hor" (nth j lst) (nth (1+ j) lst) pt3 "" "exit") (setq j (1+ j)) ) (setvar 'osmode oldsnap) (princ) ) (defun c:db200 ( / pt1 pt2 lst lst2 y x j) (setq oldsnap (getvar 'osmode)) (setq lst '() lst2 '()) (while (setq pt1 (getpoint "\nPick dim point in sequence Enter to stop ")) (setq lst (cons pt1 lst)) (setq lst2 (cons (cadr pt1) lst2)) ) (setq Y (car (vl-sort lst2 '<))) (setq pt3 (list (car (car lst)) (- y 200.) )) (setq x (length lst)) (setq j 0) (setvar 'osmode 0) (repeat (- x 1) (command "dim" "hor" (nth j lst) (nth (1+ j) lst) pt3 "" "exit") (setq j (1+ j)) ) (setvar 'osmode oldsnap) (princ) )
    1 point
  4. Maybe - (defun 2parea ( p1 p2 ) (abs (apply '* (mapcar '- p2 p1 '(0 0)))) )
    1 point
  5. I was having the same issue that the original poster asked about and I believe it is related to the Dynamics UCS setting/system variable. Hovering over the icon in question, I get a pop-up display with two lines the first line listing "Snap UCS to active solids plane - On" and the second line listing "Dynamics UCS - UCSDETECT (F6)". After changing the setting to "Off" I no longer see the line "The object is an external reference" appear in the command line. If you use the function keys on your keyboard to turn settings on and off like I do, you may have just accidentally hit F6 and turned this setting on. Hope this solves your problem.
    1 point
×
×
  • Create New...